CasafariMCP
Get started

Casafari is the AI agent-native real estate data intelligence platform. The most complete property index in Europe: a deduplicated, cleaned property graph of residential and commercial property, for sale and for rent, in 16 countries.The most complete property index in Europe: a deduplicated, cleaned property graph.

How the graph is built

Alerts · REST API

Get feeds list (v1)

GEThttps://api.casafari.com/api/v1/listing-alerts/feeds
Bearer token2 parameters

Send Authorization: Bearer $CASAFARI_TOKEN; see how to get a token.

Over MCP: no tool does this. MCP and REST compared.

Description

Returns all alerts feeds for currently authenticated user.

Query parameters

filterboolean
Whether to include information about feed filters in the response.
only_selfboolean
Indicates if manager user wants to see only own feeds.

Example request

Placeholders only: replace the token and the values with your own.

curl
curl "https://api.casafari.com/api/v1/listing-alerts/feeds" \
  -H "Authorization: Bearer $CASAFARI_TOKEN"

Responses

200 OK

Type: object[].

Show the response shape (58 fields)
idinteger
namestringrequired
Name of the feed.
at most 200 characters
filterobjectrequired
Set of clauses to filter alerts.
50 properties
operationstringrequired
Operation type.
sale rent
location_idsinteger[]
List of location IDs, as returned by the POST /api/v1/references/locations endpoint.
at most 100 items1–2147483647
custom_locationobject[]
Closed polygon of geo-points to search within. First and last points must match. This field is deprecated and will be removed in the next major update. Please, use custom_locations field instead.
at least 4 items
2 properties
latitudenumberrequired
Latitude.
-90–90
longitudenumberrequired
Longitude.
-180–180
custom_locationsobject[][]
List of closed polygons of geo-points to search within. Each polygon must contain at least 4 points. First and last points must match in each polygon. Maximum 4 polygons allowed.
at most 4 items
2 properties
latitudenumberrequired
Latitude.
-90–90
longitudenumberrequired
Longitude.
-180–180
typesstring[]
Country availability per type is available at the GET /api/v1/references/types endpoint. Property types by type groups: apartment: penthouse, dachgeschosswohnung, erdgeschosswohnung, apartment, etagenwohnung, studio, duplex house: townhouse, reihenmittelhaus, landwirtschaftliche_betriebe, country_house, family_house (DEPRECATED), villa, palace, chalet, zweifamilienhaus, country_estate, reihenendhaus, reihenhaus, bungalow, einfamilienhaus, house room: room building: office_building, apartment_building, mix_use_building investment: retail, hotel, warehouse, office, restaurant, industrial, other_commercial, werkstatt plot: rural_plot, urban_plot, plot (DEPRECATED) other: garage, other, parking
40 allowed valuesapartment studio duplex penthouse dachgeschosswohnung etagenwohnung erdgeschosswohnung country_house house palace townhouse villa country_estate chalet bungalow family_house reihenhaus reihenendhaus reihenmittelhaus einfamilienhaus zweifamilienhaus landwirtschaftliche_betriebe retail office industrial warehouse hotel other_commercial restaurant werkstatt plot urban_plot rural_plot room other garage parking apartment_building office_building mix_use_building
conditionsstring[]
Property conditions, as returned by the GET /api/v1/references/conditions endpoint.
used ruin very-good new other
alert_date_fromstring (date)
Start date (in the format YYYY-MM-DD) of the period for alerts of interest.
alert_date_tostring (date)
End date (in the format YYYY-MM-DD) of the period for alerts of interest.
created_at_fromstring (date-time)
Start date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data.
created_at_tostring (date-time)
End date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data.
created_at_with_photos_fromstring (date-time)
Start date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC), only including alerts for which photo processing has been completed. Use it to fetch alerts with already assigned photos. Note: Some alerts may still not have photos if the original listing did not include any.
created_at_with_photos_tostring (date-time)
End date and time (in the format YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC), only including alerts for which photo processing has been completed. Use it to fetch alerts with already assigned photos. Note: Some alerts may still not have photos if the original listing did not include any.
statusesstring[]
Current status of the listing.
active reserved hold sold rented
price_frominteger
Minimum price value.
1–2147483647
price_tointeger
Maximum price value.
1–2147483647
price_per_sqm_frominteger
Minimum value for price per square meter.
1–2147483647
price_per_sqm_tointeger
Maximum value for price per square meter.
1–2147483647
bedrooms_frominteger
Minimum number of bedrooms.
0–15000
bedrooms_tointeger
Maximum number of bedrooms.
0–15000
bathrooms_frominteger
Minimum number of bathrooms.
1–15000
bathrooms_tointeger
Maximum number of bathrooms.
1–15000
total_area_frominteger
Minimum total area.
1–10000000
total_area_tointeger
Maximum total area.
1–10000000
plot_area_frominteger
Minimum plot area.
1–10000000
plot_area_tointeger
Maximum plot area.
1–10000000
construction_year_frominteger
Minimum construction year.
1–3000
construction_year_tointeger
Maximum construction year.
1–3000
floorstring
Floor type of the property. This field is deprecated and will be removed in the next major update. Please, use floors field instead.
no_floor ground middle top
floorsstring[]
no_floor ground middle top
orientationstring
Property view orientation.
exterior interior
viewstring
View from the property. This field is deprecated and will be removed in the next major update. Please, use views field instead.
water landscape city golf park
viewsstring[]
water landscape city golf park
directionstring
Cardinal direction the property faces. This field is deprecated and will be removed in the next major update. Please, use directions field instead.
north south east west
directionsstring[]
north south east west
characteristicsstring[]
Property characteristics.
balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuity
alert_subtypesstring[]
Alert subtypes.
new price_up price_down reserved delisted sold
privateboolean
Whether to return alerts only from properties listed by a private individual, as opposed to an agent or a professional.
auctionboolean
Whether to return alerts from auction property listings.
bankboolean
Whether to return alerts from bank property listings.
new_developmentboolean
Whether to return alerts from new development property listings.
listing_agentsstring[]
Return alerts only for properties from specified agents. To find allowed agent names use the GET /api/v1/references/agents endpoint.
with_agenciesstring[]
Return alerts only for properties from specified agencies, companies or sources. To find allowed agency names use the GET /api/v1/references/agencies endpoint.
without_agenciesstring[]
Exclude alerts for properties from specified agencies, companies or sources. To find allowed agency names use the GET /api/v1/references/agencies endpoint.
exclusiveboolean
Whether to return alerts exclusively from specific listings rather than from all related to the property listings. Can be passed only along with at least one of the fields: private, with_agencies, without_agencies.
ref_numbersstring[]
List of reference numbers from listings.
has_phoneboolean
Whether to return alerts only from listings with or without phone number.
has_emailboolean
Whether to return alerts only from listings with or without email.
has_agency_nameboolean
Whether to return alerts only from listings with or without agency name.
property_idsinteger[]
List of property IDs.
at most 100 items≥ 1
listing_idsinteger[]
List of listing IDs.
at most 100 items≥ 1
userstring (email)
Example from the API description
JSON
[
  {
    "id": 887,
    "user": "user@email.com",
    "name": "Apartments for sale"
  },
  {
    "id": 888,
    "user": "user@email.com",
    "name": "Houses for sale"
  }
]

401 Unauthorized

Type: object.

Show the response shape (1 fields)
detailstring
Description of the error encountered.

403 Forbidden

Type: object.

Show the response shape (1 fields)
detailstring
Description of the error encountered.

Tip: add .md to any URL to read it as Markdown.